Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Class SearchQueryResult

    java.lang.Object
      org.apache.slide.search.SearchQueryResult

public class SearchQueryResult
extends java.lang.Object

Aggregates a set containing the result items of a query. This set is either a HashSet (if no ordering was requested) or a TreeSet (if orderby was specified) May also contain a status and a response description (For example: 507 partial result)

Version:
  $Revision: 1.15 $

Field Summary
`static int` | `STATUS_BAD_GATEWAY`
`static int` | `STATUS_BAD_QUERY`
`static int` | `STATUS_FORBIDDEN`
`static int` | `STATUS_INVALID_SCOPE`
`static int` | `STATUS_OK`
`static int` | `STATUS_PARTIAL_RESULT`
`static int` | `STATUS_UNPROCESSABLE_ENTITY`

Constructor Summary
`SearchQueryResult()` Constructs an empty unorderred SearchQueryResult
`SearchQueryResult(java.util.Comparator comparator)` Constructs an empty orderred SearchQueryResult
`SearchQueryResult(java.util.Set result)` Constructs an unordered SearchQueryResult
`SearchQueryResult(java.util.Set result, java.util.Comparator comparator)` Constructs an ordered SearchQueryResult
`SearchQueryResult(java.util.Set result, java.util.Comparator comparator, int limit)`

Method Summary
`void` | `add(SearchQueryResult subResultSet)` Method add
`java.lang.String` | `getDescription()` Method getDescription
`java.lang.String` | `getHref()` Method getHref
`(package private) java.util.Set` | `getResultSet()` Method getResultSet.
`int` | `getStatus()` Method getStatus
`java.util.Iterator` | `iterator()` Method iterator
`void` | `setDescription(java.lang.String description)` Method setDescription
`void` | `setHref(java.lang.String href)` Method setHref
`void` | `setStatus(int status)` Method setStatus

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_OK

    public static final int STATUS_OK

See Also:
  Constant Field Values

### STATUS_BAD_QUERY

    public static final int STATUS_BAD_QUERY

See Also:
  Constant Field Values

### STATUS_INVALID_SCOPE

    public static final int STATUS_INVALID_SCOPE

See Also:
  Constant Field Values

### STATUS_PARTIAL_RESULT

    public static final int STATUS_PARTIAL_RESULT

See Also:
  Constant Field Values

### STATUS_UNPROCESSABLE_ENTITY

    public static final int STATUS_UNPROCESSABLE_ENTITY

See Also:
  Constant Field Values

### STATUS_BAD_GATEWAY

    public static final int STATUS_BAD_GATEWAY

See Also:
  Constant Field Values

### STATUS_FORBIDDEN

    public static final int STATUS_FORBIDDEN

See Also:
  Constant Field Values

Constructor Detail

### SearchQueryResult

    public SearchQueryResult()

  Constructs an empty unorderred SearchQueryResult

### SearchQueryResult

    public SearchQueryResult(java.util.Set result)

  Constructs an unordered SearchQueryResult

Parameters:
  `result` - the set containing the result items

### SearchQueryResult

    public SearchQueryResult(java.util.Comparator comparator)

  Constructs an empty orderred SearchQueryResult

### SearchQueryResult

    public SearchQueryResult(java.util.Set result,
                             java.util.Comparator comparator)

  Constructs an ordered SearchQueryResult

Parameters:
  `result` - the set containing the result items
  `comparator` - for ordering

### SearchQueryResult

    public SearchQueryResult(java.util.Set result,
                             java.util.Comparator comparator,
                             int limit)

Method Detail

### setStatus

    public void setStatus(int status)

  Method setStatus

  Parameters:
    `status` - an int

### getStatus

    public int getStatus()

  Method getStatus

  Returns:
    an int

### setDescription

    public void setDescription(java.lang.String description)

  Method setDescription

  Parameters:
    `description` - a String

### getDescription

    public java.lang.String getDescription()

  Method getDescription

  Returns:
    a String

### setHref

    public void setHref(java.lang.String href)

  Method setHref

  Parameters:
    `href` - a String

### getHref

    public java.lang.String getHref()

  Method getHref

  Returns:
    a String

### add

    public void add(SearchQueryResult subResultSet)

  Method add

  Parameters:
    `subResultSet` - a SearchQueryResult

### iterator

    public java.util.Iterator iterator()

  Method iterator

  Returns:
    iterator for iterating the result, RequestedResource

### getResultSet

    java.util.Set getResultSet()

  Method getResultSet. needed to add result subsets.

  Returns:
    a Set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD